{% extends 'timetracker/base.html' %}
{% load i18n medux %}

{% block content %}
  {% if user.is_employee %}
    <div id="timetracker-overview" class="container">
      <div class="row d-flex align-items-stretch">
        <div class="col-12 col-md-5 col-lg-4 mb-3" >
          <div
              class="card h-100"
              hx-get="{% url 'timetracker:current-work-schedule' %}"
              hx-trigger="load"
          >
            <div class="card-body">{% translate 'Loading current work schedule...' %}</div>
          </div>
        </div>

        <div class="col-12 col-md-5 col-lg-5 mb-3">
          <div
              class="card h-100"
              hx-get="{% url 'timetracker:current-absence-days' %}"
              hx-trigger="load, timetracker:absence:changed from:body"
              hx-disinherit="*"
          >
              <div class="card-body">{% translate 'Loading absences...' %}</div>
          </div>
        </div>

        <div class="col-12 col-md-2 col-lg-3 mb-3">
          <div class="card h-100">
            <div class="card-header">
              <h3 class="card-title">
                {% translate 'Time account'%}
              </h3>
            </div>
            <div class="card-body d-flex align-items-center justify-content-center">
              <div class="fs-2">
                {{ time_account_balance|as_hours|floatformat:2|prefix_plus }}
                <span class="d-inline d-md-none d-lg-inline">{% translate 'hours' %}</span>
              </div>
            </div>
          </div>
        </div>

        <div class="col-12">
          <div
              class="card"
              hx-get="{% url 'employees:workingcontract-current' user.employee.pk %}"
              hx-trigger="load">
            <div class="card-body">{% translate 'Loading working contract...' %}</div>
          </div>
        </div>
      </div>
    </div>
  {% endif %}
{% endblock %}

{% block scripts %}
  <script>
    /***
     * Swaps in the body of error pages returned from htmx requests
     * TODO: make this more generically
     */
    htmx.on("htmx:beforeOnLoad", function (event) {
      const xhr = event.detail.xhr
      if (xhr.status === 500 || xhr.status === 403 || xhr.status === 404) {
        event.stopPropagation() // Tell htmx not to process these requests
        event.target.getElementsByClassName("card-body")[0].innerHTML += xhr.response // Swap in body of response instead
      }
    })
  </script>
{% endblock %}